#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "ErrorEvent" "\0"
  /*  2989 */ "Event" "\0"
  /*  2995 */ "EventCallbackDebuggerNotification" "\0"
  /*  3029 */ "EventCounts" "\0"
  /*  3041 */ "EventSource" "\0"
  /*  3053 */ "EventTarget" "\0"
  /*  3065 */ "Exception" "\0"
  /*  3075 */ "ExtendableEvent" "\0"
  /*  3091 */ "ExtendableMessageEvent" "\0"
  /*  3114 */ "ExtensionAlarms" "\0"
  /*  3130 */ "ExtensionBrowser" "\0"
  /*  3147 */ "ExtensionBrowserSettings" "\0"
  /*  3172 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3212 */ "ExtensionDns" "\0"
  /*  3225 */ "ExtensionEventManager" "\0"
  /*  3247 */ "ExtensionMockAPI" "\0"
  /*  3264 */ "ExtensionPort" "\0"
  /*  3278 */ "ExtensionProxy" "\0"
  /*  3293 */ "ExtensionRuntime" "\0"
  /*  3310 */ "ExtensionScripting" "\0"
  /*  3329 */ "ExtensionSetting" "\0"
  /*  3346 */ "ExtensionTest" "\0"
  /*  3360 */ "External" "\0"
  /*  3369 */ "FeaturePolicy" "\0"
  /*  3383 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3416 */ "FetchEvent" "\0"
  /*  3427 */ "FetchObserver" "\0"
  /*  3441 */ "File" "\0"
  /*  3446 */ "FileList" "\0"
  /*  3455 */ "FileReader" "\0"
  /*  3466 */ "FileReaderSync" "\0"
  /*  3481 */ "FileSystem" "\0"
  /*  3492 */ "FileSystemDirectoryEntry" "\0"
  /*  3517 */ "FileSystemDirectoryHandle" "\0"
  /*  3543 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3583 */ "FileSystemDirectoryIterator" "\0"
  /*  3611 */ "FileSystemDirectoryReader" "\0"
  /*  3637 */ "FileSystemEntry" "\0"
  /*  3653 */ "FileSystemFileEntry" "\0"
  /*  3673 */ "FileSystemFileHandle" "\0"
  /*  3694 */ "FileSystemHandle" "\0"
  /*  3711 */ "FileSystemSyncAccessHandle" "\0"
  /*  3738 */ "FileSystemWritableFileStream" "\0"
  /*  3767 */ "Flex" "\0"
  /*  3772 */ "FlexItemValues" "\0"
  /*  3787 */ "FlexLineValues" "\0"
  /*  3802 */ "FluentBundle" "\0"
  /*  3815 */ "FluentBundleAsyncIterator" "\0"
  /*  3841 */ "FluentBundleIterator" "\0"
  /*  3862 */ "FluentPattern" "\0"
  /*  3876 */ "FluentResource" "\0"
  /*  3891 */ "FocusEvent" "\0"
  /*  3902 */ "FontFace" "\0"
  /*  3911 */ "FontFaceSet" "\0"
  /*  3923 */ "FontFaceSetIterator" "\0"
  /*  3943 */ "FontFaceSetLoadEvent" "\0"
  /*  3964 */ "FormData" "\0"
  /*  3973 */ "FormData Iterator" "\0"
  /*  3991 */ "FormDataEvent" "\0"
  /*  4005 */ "FrameCrashedEvent" "\0"
  /*  4023 */ "FrameLoader" "\0"
  /*  4035 */ "GPU" "\0"
  /*  4039 */ "GPUAdapter" "\0"
  /*  4050 */ "GPUAdapterInfo" "\0"
  /*  4065 */ "GPUBindGroup" "\0"
  /*  4078 */ "GPUBindGroupLayout" "\0"
  /*  4097 */ "GPUBuffer" "\0"
  /*  4107 */ "GPUBufferUsage" "\0"
  /*  4122 */ "GPUCanvasContext" "\0"
  /*  4139 */ "GPUColorWrite" "\0"
  /*  4153 */ "GPUCommandBuffer" "\0"
  /*  4170 */ "GPUCommandEncoder" "\0"
  /*  4188 */ "GPUCompilationInfo" "\0"
  /*  4207 */ "GPUCompilationMessage" "\0"
  /*  4229 */ "GPUComputePassEncoder" "\0"
  /*  4251 */ "GPUComputePipeline" "\0"
  /*  4270 */ "GPUDevice" "\0"
  /*  4280 */ "GPUDeviceLostInfo" "\0"
  /*  4298 */ "GPUMapMode" "\0"
  /*  4309 */ "GPUOutOfMemoryError" "\0"
  /*  4329 */ "GPUPipelineLayout" "\0"
  /*  4347 */ "GPUQuerySet" "\0"
  /*  4359 */ "GPUQueue" "\0"
  /*  4368 */ "GPURenderBundle" "\0"
  /*  4384 */ "GPURenderBundleEncoder" "\0"
  /*  4407 */ "GPURenderPassEncoder" "\0"
  /*  4428 */ "GPURenderPipeline" "\0"
  /*  4446 */ "GPUSampler" "\0"
  /*  4457 */ "GPUShaderModule" "\0"
  /*  4473 */ "GPUShaderStage" "\0"
  /*  4488 */ "GPUSupportedFeatures" "\0"
  /*  4509 */ "GPUSupportedLimits" "\0"
  /*  4528 */ "GPUTexture" "\0"
  /*  4539 */ "GPUTextureUsage" "\0"
  /*  4555 */ "GPUTextureView" "\0"
  /*  4570 */ "GPUUncapturedErrorEvent" "\0"
  /*  4594 */ "GPUValidationError" "\0"
  /*  4613 */ "GainNode" "\0"
  /*  4622 */ "Gamepad" "\0"
  /*  4630 */ "GamepadAxisMoveEvent" "\0"
  /*  4651 */ "GamepadButton" "\0"
  /*  4665 */ "GamepadButtonEvent" "\0"
  /*  4684 */ "GamepadEvent" "\0"
  /*  4697 */ "GamepadHapticActuator" "\0"
  /*  4719 */ "GamepadLightIndicator" "\0"
  /*  4741 */ "GamepadPose" "\0"
  /*  4753 */ "GamepadServiceTest" "\0"
  /*  4772 */ "GamepadTouch" "\0"
  /*  4785 */ "Geolocation" "\0"
  /*  4797 */ "GeolocationCoordinates" "\0"
  /*  4820 */ "GeolocationPosition" "\0"
  /*  4840 */ "GeolocationPositionError" "\0"
  /*  4865 */ "GetUserMediaRequest" "\0"
  /*  4885 */ "GleanCategory" "\0"
  /*  4899 */ "GleanImpl" "\0"
  /*  4909 */ "GleanLabeled" "\0"
  /*  4922 */ "GleanPingsImpl" "\0"
  /*  4937 */ "Grid" "\0"
  /*  4942 */ "GridArea" "\0"
  /*  4951 */ "GridDimension" "\0"
  /*  4965 */ "GridLine" "\0"
  /*  4974 */ "GridLines" "\0"
  /*  4984 */ "GridTrack" "\0"
  /*  4994 */ "GridTracks" "\0"
  /*  5005 */ "HTMLAllCollection" "\0"
  /*  5023 */ "HTMLAnchorElement" "\0"
  /*  5041 */ "HTMLAreaElement" "\0"
  /*  5057 */ "HTMLAudioElement" "\0"
  /*  5074 */ "HTMLBRElement" "\0"
  /*  5088 */ "HTMLBaseElement" "\0"
  /*  5104 */ "HTMLBodyElement" "\0"
  /*  5120 */ "HTMLButtonElement" "\0"
  /*  5138 */ "HTMLCanvasElement" "\0"
  /*  5156 */ "HTMLCollection" "\0"
  /*  5171 */ "HTMLDListElement" "\0"
  /*  5188 */ "HTMLDataElement" "\0"
  /*  5204 */ "HTMLDataListElement" "\0"
  /*  5224 */ "HTMLDetailsElement" "\0"
  /*  5243 */ "HTMLDialogElement" "\0"
  /*  5261 */ "HTMLDirectoryElement" "\0"
  /*  5282 */ "HTMLDivElement" "\0"
  /*  5297 */ "HTMLDocument" "\0"
  /*  5310 */ "HTMLElement" "\0"
  /*  5322 */ "HTMLEmbedElement" "\0"
  /*  5339 */ "HTMLFieldSetElement" "\0"
  /*  5359 */ "HTMLFontElement" "\0"
  /*  5375 */ "HTMLFormControlsCollection" "\0"
  /*  5402 */ "HTMLFormElement" "\0"
  /*  5418 */ "HTMLFrameElement" "\0"
  /*  5435 */ "HTMLFrameSetElement" "\0"
  /*  5455 */ "HTMLHRElement" "\0"
  /*  5469 */ "HTMLHeadElement" "\0"
  /*  5485 */ "HTMLHeadingElement" "\0"
  /*  5504 */ "HTMLHtmlElement" "\0"
  /*  5520 */ "HTMLIFrameElement" "\0"
  /*  5538 */ "HTMLImageElement" "\0"
  /*  5555 */ "HTMLInputElement" "\0"
  /*  5572 */ "HTMLLIElement" "\0"
  /*  5586 */ "HTMLLabelElement" "\0"
  /*  5603 */ "HTMLLegendElement" "\0"
  /*  5621 */ "HTMLLinkElement" "\0"
  /*  5637 */ "HTMLMapElement" "\0"
  /*  5652 */ "HTMLMarqueeElement" "\0"
  /*  5671 */ "HTMLMediaElement" "\0"
  /*  5688 */ "HTMLMenuElement" "\0"
  /*  5704 */ "HTMLMetaElement" "\0"
  /*  5720 */ "HTMLMeterElement" "\0"
  /*  5737 */ "HTMLModElement" "\0"
  /*  5752 */ "HTMLOListElement" "\0"
  /*  5769 */ "HTMLObjectElement" "\0"
  /*  5787 */ "HTMLOptGroupElement" "\0"
  /*  5807 */ "HTMLOptionElement" "\0"
  /*  5825 */ "HTMLOptionsCollection" "\0"
  /*  5847 */ "HTMLOutputElement" "\0"
  /*  5865 */ "HTMLParagraphElement" "\0"
  /*  5886 */ "HTMLParamElement" "\0"
  /*  5903 */ "HTMLPictureElement" "\0"
  /*  5922 */ "HTMLPreElement" "\0"
  /*  5937 */ "HTMLProgressElement" "\0"
  /*  5957 */ "HTMLQuoteElement" "\0"
  /*  5974 */ "HTMLScriptElement" "\0"
  /*  5992 */ "HTMLSelectElement" "\0"
  /*  6010 */ "HTMLSlotElement" "\0"
  /*  6026 */ "HTMLSourceElement" "\0"
  /*  6044 */ "HTMLSpanElement" "\0"
  /*  6060 */ "HTMLStyleElement" "\0"
  /*  6077 */ "HTMLTableCaptionElement" "\0"
  /*  6101 */ "HTMLTableCellElement" "\0"
  /*  6122 */ "HTMLTableColElement" "\0"
  /*  6142 */ "HTMLTableElement" "\0"
  /*  6159 */ "HTMLTableRowElement" "\0"
  /*  6179 */ "HTMLTableSectionElement" "\0"
  /*  6203 */ "HTMLTemplateElement" "\0"
  /*  6223 */ "HTMLTextAreaElement" "\0"
  /*  6243 */ "HTMLTimeElement" "\0"
  /*  6259 */ "HTMLTitleElement" "\0"
  /*  6276 */ "HTMLTrackElement" "\0"
  /*  6293 */ "HTMLUListElement" "\0"
  /*  6310 */ "HTMLUnknownElement" "\0"
  /*  6329 */ "HTMLVideoElement" "\0"
  /*  6346 */ "HashChangeEvent" "\0"
  /*  6362 */ "Headers" "\0"
  /*  6370 */ "Headers Iterator" "\0"
  /*  6387 */ "HeapSnapshot" "\0"
  /*  6400 */ "Highlight" "\0"
  /*  6410 */ "HighlightRegistry" "\0"
  /*  6428 */ "History" "\0"
  /*  6436 */ "IDBCursor" "\0"
  /*  6446 */ "IDBCursorWithValue" "\0"
  /*  6465 */ "IDBDatabase" "\0"
  /*  6477 */ "IDBFactory" "\0"
  /*  6488 */ "IDBIndex" "\0"
  /*  6497 */ "IDBKeyRange" "\0"
  /*  6509 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6532 */ "IDBObjectStore" "\0"
  /*  6547 */ "IDBOpenDBRequest" "\0"
  /*  6564 */ "IDBRequest" "\0"
  /*  6575 */ "IDBTransaction" "\0"
  /*  6590 */ "IDBVersionChangeEvent" "\0"
  /*  6612 */ "IIRFilterNode" "\0"
  /*  6626 */ "IOUtils" "\0"
  /*  6634 */ "IdentityCredential" "\0"
  /*  6653 */ "IdleDeadline" "\0"
  /*  6666 */ "Image" "\0"
  /*  6672 */ "ImageBitmap" "\0"
  /*  6684 */ "ImageBitmapRenderingContext" "\0"
  /*  6712 */ "ImageCapture" "\0"
  /*  6725 */ "ImageCaptureError" "\0"
  /*  6743 */ "ImageCaptureErrorEvent" "\0"
  /*  6766 */ "ImageData" "\0"
  /*  6776 */ "ImageDocument" "\0"
  /*  6790 */ "InputEvent" "\0"
  /*  6801 */ "InspectorFontFace" "\0"
  /*  6819 */ "InspectorUtils" "\0"
  /*  6834 */ "InstallTriggerImpl" "\0"
  /*  6853 */ "IntersectionObserver" "\0"
  /*  6874 */ "IntersectionObserverEntry" "\0"
  /*  6900 */ "IntlUtils" "\0"
  /*  6910 */ "JSProcessActorChild" "\0"
  /*  6930 */ "JSProcessActorParent" "\0"
  /*  6951 */ "JSWindowActorChild" "\0"
  /*  6970 */ "JSWindowActorParent" "\0"
  /*  6990 */ "KeyEvent" "\0"
  /*  6999 */ "KeyboardEvent" "\0"
  /*  7013 */ "KeyframeEffect" "\0"
  /*  7028 */ "L10nFileSource" "\0"
  /*  7043 */ "L10nOverlays" "\0"
  /*  7056 */ "L10nRegistry" "\0"
  /*  7069 */ "LargestContentfulPaint" "\0"
  /*  7092 */ "LegacyMozTCPSocket" "\0"
  /*  7111 */ "Localization" "\0"
  /*  7124 */ "Location" "\0"
  /*  7133 */ "Lock" "\0"
  /*  7138 */ "LockManager" "\0"
  /*  7150 */ "MIDIAccess" "\0"
  /*  7161 */ "MIDIConnectionEvent" "\0"
  /*  7181 */ "MIDIInput" "\0"
  /*  7191 */ "MIDIInputMap" "\0"
  /*  7204 */ "MIDIMessageEvent" "\0"
  /*  7221 */ "MIDIOutput" "\0"
  /*  7232 */ "MIDIOutputMap" "\0"
  /*  7246 */ "MIDIPort" "\0"
  /*  7255 */ "MOZ_debug" "\0"
  /*  7265 */ "MatchGlob" "\0"
  /*  7275 */ "MatchPattern" "\0"
  /*  7288 */ "MatchPatternSet" "\0"
  /*  7304 */ "MathMLElement" "\0"
  /*  7318 */ "MediaCapabilities" "\0"
  /*  7336 */ "MediaCapabilitiesInfo" "\0"
  /*  7358 */ "MediaControlService" "\0"
  /*  7378 */ "MediaController" "\0"
  /*  7394 */ "MediaDeviceInfo" "\0"
  /*  7410 */ "MediaDevices" "\0"
  /*  7423 */ "MediaElementAudioSourceNode" "\0"
  /*  7451 */ "MediaEncryptedEvent" "\0"
  /*  7471 */ "MediaError" "\0"
  /*  7482 */ "MediaKeyError" "\0"
  /*  7496 */ "MediaKeyMessageEvent" "\0"
  /*  7517 */ "MediaKeySession" "\0"
  /*  7533 */ "MediaKeyStatusMap" "\0"
  /*  7551 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7578 */ "MediaKeySystemAccess" "\0"
  /*  7599 */ "MediaKeys" "\0"
  /*  7609 */ "MediaList" "\0"
  /*  7619 */ "MediaMetadata" "\0"
  /*  7633 */ "MediaQueryList" "\0"
  /*  7648 */ "MediaQueryListEvent" "\0"
  /*  7668 */ "MediaRecorder" "\0"
  /*  7682 */ "MediaRecorderErrorEvent" "\0"
  /*  7706 */ "MediaSession" "\0"
  /*  7719 */ "MediaSource" "\0"
  /*  7731 */ "MediaStream" "\0"
  /*  7743 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7775 */ "MediaStreamAudioSourceNode" "\0"
  /*  7802 */ "MediaStreamError" "\0"
  /*  7819 */ "MediaStreamEvent" "\0"
  /*  7836 */ "MediaStreamTrack" "\0"
  /*  7853 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7885 */ "MediaStreamTrackEvent" "\0"
  /*  7907 */ "MerchantValidationEvent" "\0"
  /*  7931 */ "MessageBroadcaster" "\0"
  /*  7950 */ "MessageChannel" "\0"
  /*  7965 */ "MessageEvent" "\0"
  /*  7978 */ "MessageListenerManager" "\0"
  /*  8001 */ "MessagePort" "\0"
  /*  8013 */ "MessageSender" "\0"
  /*  8027 */ "MimeType" "\0"
  /*  8036 */ "MimeTypeArray" "\0"
  /*  8050 */ "MouseEvent" "\0"
  /*  8061 */ "MouseScrollEvent" "\0"
  /*  8078 */ "MozCanvasPrintState" "\0"
  /*  8098 */ "MozDocumentMatcher" "\0"
  /*  8117 */ "MozDocumentObserver" "\0"
  /*  8137 */ "MozQueryInterface" "\0"
  /*  8155 */ "MozSharedMap" "\0"
  /*  8168 */ "MozSharedMap Iterator" "\0"
  /*  8190 */ "MozSharedMapChangeEvent" "\0"
  /*  8214 */ "MozStorageAsyncStatementParams" "\0"
  /*  8245 */ "MozStorageStatementParams" "\0"
  /*  8271 */ "MozStorageStatementRow" "\0"
  /*  8294 */ "MozWritableSharedMap" "\0"
  /*  8315 */ "MutationEvent" "\0"
  /*  8329 */ "MutationObserver" "\0"
  /*  8346 */ "MutationRecord" "\0"
  /*  8361 */ "NamedNodeMap" "\0"
  /*  8374 */ "NavigationPreloadManager" "\0"
  /*  8399 */ "Navigator" "\0"
  /*  8409 */ "NetworkInformation" "\0"
  /*  8428 */ "Node" "\0"
  /*  8433 */ "NodeFilter" "\0"
  /*  8444 */ "NodeIterator" "\0"
  /*  8457 */ "NodeList" "\0"
  /*  8466 */ "Notification" "\0"
  /*  8479 */ "NotificationEvent" "\0"
  /*  8497 */ "NotifyPaintEvent" "\0"
  /*  8514 */ "OES_draw_buffers_indexed" "\0"
  /*  8539 */ "OES_element_index_uint" "\0"
  /*  8562 */ "OES_fbo_render_mipmap" "\0"
  /*  8584 */ "OES_standard_derivatives" "\0"
  /*  8609 */ "OES_texture_float" "\0"
  /*  8627 */ "OES_texture_float_linear" "\0"
  /*  8652 */ "OES_texture_half_float" "\0"
  /*  8675 */ "OES_texture_half_float_linear" "\0"
  /*  8705 */ "OES_vertex_array_object" "\0"
  /*  8729 */ "OVR_multiview2" "\0"
  /*  8744 */ "OfflineAudioCompletionEvent" "\0"
  /*  8772 */ "OfflineAudioContext" "\0"
  /*  8792 */ "OffscreenCanvas" "\0"
  /*  8808 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8842 */ "Option" "\0"
  /*  8849 */ "OscillatorNode" "\0"
  /*  8864 */ "PageTransitionEvent" "\0"
  /*  8884 */ "PaintRequest" "\0"
  /*  8897 */ "PaintRequestList" "\0"
  /*  8914 */ "PaintWorkletGlobalScope" "\0"
  /*  8938 */ "PannerNode" "\0"
  /*  8949 */ "ParentProcessMessageManager" "\0"
  /*  8977 */ "Path2D" "\0"
  /*  8984 */ "PathUtils" "\0"
  /*  8994 */ "PaymentAddress" "\0"
  /*  9009 */ "PaymentMethodChangeEvent" "\0"
  /*  9034 */ "PaymentRequest" "\0"
  /*  9049 */ "PaymentRequestUpdateEvent" "\0"
  /*  9075 */ "PaymentResponse" "\0"
  /*  9091 */ "Performance" "\0"
  /*  9103 */ "PerformanceEntry" "\0"
  /*  9120 */ "PerformanceEntryEvent" "\0"
  /*  9142 */ "PerformanceEventTiming" "\0"
  /*  9165 */ "PerformanceMark" "\0"
  /*  9181 */ "PerformanceMeasure" "\0"
  /*  9200 */ "PerformanceNavigation" "\0"
  /*  9222 */ "PerformanceNavigationTiming" "\0"
  /*  9250 */ "PerformanceObserver" "\0"
  /*  9270 */ "PerformanceObserverEntryList" "\0"
  /*  9299 */ "PerformancePaintTiming" "\0"
  /*  9322 */ "PerformanceResourceTiming" "\0"
  /*  9348 */ "PerformanceServerTiming" "\0"
  /*  9372 */ "PerformanceTiming" "\0"
  /*  9390 */ "PeriodicWave" "\0"
  /*  9403 */ "PermissionStatus" "\0"
  /*  9420 */ "Permissions" "\0"
  /*  9432 */ "PlacesBookmark" "\0"
  /*  9447 */ "PlacesBookmarkAddition" "\0"
  /*  9470 */ "PlacesBookmarkChanged" "\0"
  /*  9492 */ "PlacesBookmarkGuid" "\0"
  /*  9511 */ "PlacesBookmarkKeyword" "\0"
  /*  9533 */ "PlacesBookmarkMoved" "\0"
  /*  9553 */ "PlacesBookmarkRemoved" "\0"
  /*  9575 */ "PlacesBookmarkTags" "\0"
  /*  9594 */ "PlacesBookmarkTime" "\0"
  /*  9613 */ "PlacesBookmarkTitle" "\0"
  /*  9633 */ "PlacesBookmarkUrl" "\0"
  /*  9651 */ "PlacesEvent" "\0"
  /*  9663 */ "PlacesFavicon" "\0"
  /*  9677 */ "PlacesHistoryCleared" "\0"
  /*  9698 */ "PlacesObservers" "\0"
  /*  9714 */ "PlacesPurgeCaches" "\0"
  /*  9732 */ "PlacesRanking" "\0"
  /*  9746 */ "PlacesVisit" "\0"
  /*  9758 */ "PlacesVisitRemoved" "\0"
  /*  9777 */ "PlacesVisitTitle" "\0"
  /*  9794 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9820 */ "Plugin" "\0"
  /*  9827 */ "PluginArray" "\0"
  /*  9839 */ "PluginCrashedEvent" "\0"
  /*  9858 */ "PointerEvent" "\0"
  /*  9871 */ "PopStateEvent" "\0"
  /*  9885 */ "PopupBlockedEvent" "\0"
  /*  9903 */ "PopupPositionedEvent" "\0"
  /*  9924 */ "PositionStateEvent" "\0"
  /*  9943 */ "PrecompiledScript" "\0"
  /*  9961 */ "ProcessMessageManager" "\0"
  /*  9983 */ "ProcessingInstruction" "\0"
  /* 10005 */ "ProgressEvent" "\0"
  /* 10019 */ "PromiseDebugging" "\0"
  /* 10036 */ "PromiseNativeHandler" "\0"
  /* 10057 */ "PromiseRejectionEvent" "\0"
  /* 10079 */ "PublicKeyCredential" "\0"
  /* 10099 */ "PushEvent" "\0"
  /* 10109 */ "PushManager" "\0"
  /* 10121 */ "PushManagerImpl" "\0"
  /* 10137 */ "PushMessageData" "\0"
  /* 10153 */ "PushSubscription" "\0"
  /* 10170 */ "PushSubscriptionOptions" "\0"
  /* 10194 */ "RadioNodeList" "\0"
  /* 10208 */ "Range" "\0"
  /* 10214 */ "ReadableByteStreamController" "\0"
  /* 10243 */ "ReadableStream" "\0"
  /* 10258 */ "ReadableStream AsyncIterator" "\0"
  /* 10287 */ "ReadableStreamBYOBReader" "\0"
  /* 10312 */ "ReadableStreamBYOBRequest" "\0"
  /* 10338 */ "ReadableStreamDefaultController" "\0"
  /* 10370 */ "ReadableStreamDefaultReader" "\0"
  /* 10398 */ "Report" "\0"
  /* 10405 */ "ReportBody" "\0"
  /* 10416 */ "ReportingObserver" "\0"
  /* 10434 */ "Request" "\0"
  /* 10442 */ "ResizeObserver" "\0"
  /* 10457 */ "ResizeObserverEntry" "\0"
  /* 10477 */ "ResizeObserverSize" "\0"
  /* 10496 */ "Response" "\0"
  /* 10505 */ "SVGAElement" "\0"
  /* 10517 */ "SVGAngle" "\0"
  /* 10526 */ "SVGAnimateElement" "\0"
  /* 10544 */ "SVGAnimateMotionElement" "\0"
  /* 10568 */ "SVGAnimateTransformElement" "\0"
  /* 10595 */ "SVGAnimatedAngle" "\0"
  /* 10612 */ "SVGAnimatedBoolean" "\0"
  /* 10631 */ "SVGAnimatedEnumeration" "\0"
  /* 10654 */ "SVGAnimatedInteger" "\0"
  /* 10673 */ "SVGAnimatedLength" "\0"
  /* 10691 */ "SVGAnimatedLengthList" "\0"
  /* 10713 */ "SVGAnimatedNumber" "\0"
  /* 10731 */ "SVGAnimatedNumberList" "\0"
  /* 10753 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10784 */ "SVGAnimatedRect" "\0"
  /* 10800 */ "SVGAnimatedString" "\0"
  /* 10818 */ "SVGAnimatedTransformList" "\0"
  /* 10843 */ "SVGAnimationElement" "\0"
  /* 10863 */ "SVGCircleElement" "\0"
  /* 10880 */ "SVGClipPathElement" "\0"
  /* 10899 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10935 */ "SVGDefsElement" "\0"
  /* 10950 */ "SVGDescElement" "\0"
  /* 10965 */ "SVGElement" "\0"
  /* 10976 */ "SVGEllipseElement" "\0"
  /* 10994 */ "SVGFEBlendElement" "\0"
  /* 11012 */ "SVGFEColorMatrixElement" "\0"
  /* 11036 */ "SVGFEComponentTransferElement" "\0"
  /* 11066 */ "SVGFECompositeElement" "\0"
  /* 11088 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11115 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11143 */ "SVGFEDisplacementMapElement" "\0"
  /* 11171 */ "SVGFEDistantLightElement" "\0"
  /* 11196 */ "SVGFEDropShadowElement" "\0"
  /* 11219 */ "SVGFEFloodElement" "\0"
  /* 11237 */ "SVGFEFuncAElement" "\0"
  /* 11255 */ "SVGFEFuncBElement" "\0"
  /* 11273 */ "SVGFEFuncGElement" "\0"
  /* 11291 */ "SVGFEFuncRElement" "\0"
  /* 11309 */ "SVGFEGaussianBlurElement" "\0"
  /* 11334 */ "SVGFEImageElement" "\0"
  /* 11352 */ "SVGFEMergeElement" "\0"
  /* 11370 */ "SVGFEMergeNodeElement" "\0"
  /* 11392 */ "SVGFEMorphologyElement" "\0"
  /* 11415 */ "SVGFEOffsetElement" "\0"
  /* 11434 */ "SVGFEPointLightElement" "\0"
  /* 11457 */ "SVGFESpecularLightingElement" "\0"
  /* 11486 */ "SVGFESpotLightElement" "\0"
  /* 11508 */ "SVGFETileElement" "\0"
  /* 11525 */ "SVGFETurbulenceElement" "\0"
  /* 11548 */ "SVGFilterElement" "\0"
  /* 11565 */ "SVGForeignObjectElement" "\0"
  /* 11589 */ "SVGGElement" "\0"
  /* 11601 */ "SVGGeometryElement" "\0"
  /* 11620 */ "SVGGradientElement" "\0"
  /* 11639 */ "SVGGraphicsElement" "\0"
  /* 11658 */ "SVGImageElement" "\0"
  /* 11674 */ "SVGLength" "\0"
  /* 11684 */ "SVGLengthList" "\0"
  /* 11698 */ "SVGLineElement" "\0"
  /* 11713 */ "SVGLinearGradientElement" "\0"
  /* 11738 */ "SVGMPathElement" "\0"
  /* 11754 */ "SVGMarkerElement" "\0"
  /* 11771 */ "SVGMaskElement" "\0"
  /* 11786 */ "SVGMatrix" "\0"
  /* 11796 */ "SVGMetadataElement" "\0"
  /* 11815 */ "SVGNumber" "\0"
  /* 11825 */ "SVGNumberList" "\0"
  /* 11839 */ "SVGPathElement" "\0"
  /* 11854 */ "SVGPathSeg" "\0"
  /* 11865 */ "SVGPathSegArcAbs" "\0"
  /* 11882 */ "SVGPathSegArcRel" "\0"
  /* 11899 */ "SVGPathSegClosePath" "\0"
  /* 11919 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11945 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 11971 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12003 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12035 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12065 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12095 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12131 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12167 */ "SVGPathSegLinetoAbs" "\0"
  /* 12187 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12217 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12247 */ "SVGPathSegLinetoRel" "\0"
  /* 12267 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12295 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12323 */ "SVGPathSegList" "\0"
  /* 12338 */ "SVGPathSegMovetoAbs" "\0"
  /* 12358 */ "SVGPathSegMovetoRel" "\0"
  /* 12378 */ "SVGPatternElement" "\0"
  /* 12396 */ "SVGPoint" "\0"
  /* 12405 */ "SVGPointList" "\0"
  /* 12418 */ "SVGPolygonElement" "\0"
  /* 12436 */ "SVGPolylineElement" "\0"
  /* 12455 */ "SVGPreserveAspectRatio" "\0"
  /* 12478 */ "SVGRadialGradientElement" "\0"
  /* 12503 */ "SVGRect" "\0"
  /* 12511 */ "SVGRectElement" "\0"
  /* 12526 */ "SVGSVGElement" "\0"
  /* 12540 */ "SVGScriptElement" "\0"
  /* 12557 */ "SVGSetElement" "\0"
  /* 12571 */ "SVGStopElement" "\0"
  /* 12586 */ "SVGStringList" "\0"
  /* 12600 */ "SVGStyleElement" "\0"
  /* 12616 */ "SVGSwitchElement" "\0"
  /* 12633 */ "SVGSymbolElement" "\0"
  /* 12650 */ "SVGTSpanElement" "\0"
  /* 12666 */ "SVGTextContentElement" "\0"
  /* 12688 */ "SVGTextElement" "\0"
  /* 12703 */ "SVGTextPathElement" "\0"
  /* 12722 */ "SVGTextPositioningElement" "\0"
  /* 12748 */ "SVGTitleElement" "\0"
  /* 12764 */ "SVGTransform" "\0"
  /* 12777 */ "SVGTransformList" "\0"
  /* 12794 */ "SVGUnitTypes" "\0"
  /* 12807 */ "SVGUseElement" "\0"
  /* 12821 */ "SVGViewElement" "\0"
  /* 12836 */ "Sanitizer" "\0"
  /* 12846 */ "Scheduler" "\0"
  /* 12856 */ "Screen" "\0"
  /* 12863 */ "ScreenLuminance" "\0"
  /* 12879 */ "ScreenOrientation" "\0"
  /* 12897 */ "ScriptProcessorNode" "\0"
  /* 12917 */ "ScrollAreaEvent" "\0"
  /* 12933 */ "ScrollViewChangeEvent" "\0"
  /* 12955 */ "SecurityPolicyViolationEvent" "\0"
  /* 12984 */ "Selection" "\0"
  /* 12994 */ "ServiceWorker" "\0"
  /* 13008 */ "ServiceWorkerContainer" "\0"
  /* 13031 */ "ServiceWorkerGlobalScope" "\0"
  /* 13056 */ "ServiceWorkerRegistration" "\0"
  /* 13082 */ "SessionStoreFormData" "\0"
  /* 13103 */ "SessionStoreScrollData" "\0"
  /* 13126 */ "SessionStoreUtils" "\0"
  /* 13144 */ "ShadowRealmGlobalScope" "\0"
  /* 13167 */ "ShadowRoot" "\0"
  /* 13178 */ "SharedWorker" "\0"
  /* 13191 */ "SharedWorkerGlobalScope" "\0"
  /* 13215 */ "SimpleGestureEvent" "\0"
  /* 13234 */ "SourceBuffer" "\0"
  /* 13247 */ "SourceBufferList" "\0"
  /* 13264 */ "SpeechGrammar" "\0"
  /* 13278 */ "SpeechGrammarList" "\0"
  /* 13296 */ "SpeechRecognition" "\0"
  /* 13314 */ "SpeechRecognitionAlternative" "\0"
  /* 13343 */ "SpeechRecognitionError" "\0"
  /* 13366 */ "SpeechRecognitionEvent" "\0"
  /* 13389 */ "SpeechRecognitionResult" "\0"
  /* 13413 */ "SpeechRecognitionResultList" "\0"
  /* 13441 */ "SpeechSynthesis" "\0"
  /* 13457 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13483 */ "SpeechSynthesisEvent" "\0"
  /* 13504 */ "SpeechSynthesisUtterance" "\0"
  /* 13529 */ "SpeechSynthesisVoice" "\0"
  /* 13550 */ "StaticRange" "\0"
  /* 13562 */ "StereoPannerNode" "\0"
  /* 13579 */ "Storage" "\0"
  /* 13587 */ "StorageEvent" "\0"
  /* 13600 */ "StorageManager" "\0"
  /* 13615 */ "StreamFilter" "\0"
  /* 13628 */ "StreamFilterDataEvent" "\0"
  /* 13650 */ "StructuredCloneHolder" "\0"
  /* 13672 */ "StructuredCloneTester" "\0"
  /* 13694 */ "StyleSheet" "\0"
  /* 13705 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13742 */ "StyleSheetList" "\0"
  /* 13757 */ "SubmitEvent" "\0"
  /* 13769 */ "SubtleCrypto" "\0"
  /* 13782 */ "SyncMessageSender" "\0"
  /* 13800 */ "SyncReadFile" "\0"
  /* 13813 */ "TCPServerSocket" "\0"
  /* 13829 */ "TCPServerSocketEvent" "\0"
  /* 13850 */ "TCPSocket" "\0"
  /* 13860 */ "TCPSocketErrorEvent" "\0"
  /* 13880 */ "TCPSocketEvent" "\0"
  /* 13895 */ "TaskController" "\0"
  /* 13910 */ "TaskPriorityChangeEvent" "\0"
  /* 13934 */ "TaskSignal" "\0"
  /* 13945 */ "TelemetryStopwatch" "\0"
  /* 13964 */ "TestUtils" "\0"
  /* 13974 */ "TestingDeprecatedInterface" "\0"
  /* 14001 */ "Text" "\0"
  /* 14006 */ "TextClause" "\0"
  /* 14017 */ "TextDecoder" "\0"
  /* 14029 */ "TextDecoderStream" "\0"
  /* 14047 */ "TextEncoder" "\0"
  /* 14059 */ "TextEncoderStream" "\0"
  /* 14077 */ "TextMetrics" "\0"
  /* 14089 */ "TextTrack" "\0"
  /* 14099 */ "TextTrackCue" "\0"
  /* 14112 */ "TextTrackCueList" "\0"
  /* 14129 */ "TextTrackList" "\0"
  /* 14143 */ "TimeEvent" "\0"
  /* 14153 */ "TimeRanges" "\0"
  /* 14164 */ "ToggleEvent" "\0"
  /* 14176 */ "Touch" "\0"
  /* 14182 */ "TouchEvent" "\0"
  /* 14193 */ "TouchList" "\0"
  /* 14203 */ "TrackEvent" "\0"
  /* 14214 */ "TransformStream" "\0"
  /* 14230 */ "TransformStreamDefaultController" "\0"
  /* 14263 */ "TransitionEvent" "\0"
  /* 14279 */ "TreeColumn" "\0"
  /* 14290 */ "TreeColumns" "\0"
  /* 14302 */ "TreeContentView" "\0"
  /* 14318 */ "TreeWalker" "\0"
  /* 14329 */ "UDPMessageEvent" "\0"
  /* 14345 */ "UDPSocket" "\0"
  /* 14355 */ "UIEvent" "\0"
  /* 14363 */ "URL" "\0"
  /* 14367 */ "URLSearchParams" "\0"
  /* 14383 */ "URLSearchParams Iterator" "\0"
  /* 14408 */ "UniFFIPointer" "\0"
  /* 14422 */ "UniFFIScaffolding" "\0"
  /* 14440 */ "UserInteraction" "\0"
  /* 14456 */ "UserProximityEvent" "\0"
  /* 14475 */ "VRDisplay" "\0"
  /* 14485 */ "VRDisplayCapabilities" "\0"
  /* 14507 */ "VRDisplayEvent" "\0"
  /* 14522 */ "VREyeParameters" "\0"
  /* 14538 */ "VRFieldOfView" "\0"
  /* 14552 */ "VRFrameData" "\0"
  /* 14564 */ "VRMockController" "\0"
  /* 14581 */ "VRMockDisplay" "\0"
  /* 14595 */ "VRPose" "\0"
  /* 14602 */ "VRServiceTest" "\0"
  /* 14616 */ "VRStageParameters" "\0"
  /* 14634 */ "VTTCue" "\0"
  /* 14641 */ "VTTRegion" "\0"
  /* 14651 */ "ValidityState" "\0"
  /* 14665 */ "VideoColorSpace" "\0"
  /* 14681 */ "VideoFrame" "\0"
  /* 14692 */ "VideoPlaybackQuality" "\0"
  /* 14713 */ "VideoTrack" "\0"
  /* 14724 */ "VideoTrackList" "\0"
  /* 14739 */ "VisualViewport" "\0"
  /* 14754 */ "WEBGL_color_buffer_float" "\0"
  /* 14779 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14809 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14838 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14868 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14899 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 14929 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 14964 */ "WEBGL_debug_renderer_info" "\0"
  /* 14990 */ "WEBGL_debug_shaders" "\0"
  /* 15010 */ "WEBGL_depth_texture" "\0"
  /* 15030 */ "WEBGL_draw_buffers" "\0"
  /* 15049 */ "WEBGL_explicit_present" "\0"
  /* 15072 */ "WEBGL_lose_context" "\0"
  /* 15091 */ "WEBGL_provoking_vertex" "\0"
  /* 15114 */ "WaveShaperNode" "\0"
  /* 15129 */ "WebExtensionContentScript" "\0"
  /* 15155 */ "WebExtensionPolicy" "\0"
  /* 15174 */ "WebGL2RenderingContext" "\0"
  /* 15197 */ "WebGLActiveInfo" "\0"
  /* 15213 */ "WebGLBuffer" "\0"
  /* 15225 */ "WebGLContextEvent" "\0"
  /* 15243 */ "WebGLFramebuffer" "\0"
  /* 15260 */ "WebGLProgram" "\0"
  /* 15273 */ "WebGLQuery" "\0"
  /* 15284 */ "WebGLRenderbuffer" "\0"
  /* 15302 */ "WebGLRenderingContext" "\0"
  /* 15324 */ "WebGLSampler" "\0"
  /* 15337 */ "WebGLShader" "\0"
  /* 15349 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15376 */ "WebGLSync" "\0"
  /* 15386 */ "WebGLTexture" "\0"
  /* 15399 */ "WebGLTransformFeedback" "\0"
  /* 15422 */ "WebGLUniformLocation" "\0"
  /* 15443 */ "WebGLVertexArrayObject" "\0"
  /* 15466 */ "WebKitCSSMatrix" "\0"
  /* 15482 */ "WebSocket" "\0"
  /* 15492 */ "WebTransport" "\0"
  /* 15505 */ "WebTransportBidirectionalStream" "\0"
  /* 15537 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15570 */ "WebTransportError" "\0"
  /* 15588 */ "WebTransportReceiveStream" "\0"
  /* 15614 */ "WebTransportSendStream" "\0"
  /* 15637 */ "WheelEvent" "\0"
  /* 15648 */ "Window" "\0"
  /* 15655 */ "WindowClient" "\0"
  /* 15668 */ "WindowContext" "\0"
  /* 15682 */ "WindowGlobalChild" "\0"
  /* 15700 */ "WindowGlobalParent" "\0"
  /* 15719 */ "WindowRoot" "\0"
  /* 15730 */ "Worker" "\0"
  /* 15737 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15763 */ "WorkerGlobalScope" "\0"
  /* 15781 */ "WorkerLocation" "\0"
  /* 15796 */ "WorkerNavigator" "\0"
  /* 15812 */ "WorkerTestUtils" "\0"
  /* 15828 */ "Worklet" "\0"
  /* 15836 */ "WorkletGlobalScope" "\0"
  /* 15855 */ "WritableStream" "\0"
  /* 15870 */ "WritableStreamDefaultController" "\0"
  /* 15902 */ "WritableStreamDefaultWriter" "\0"
  /* 15930 */ "XMLDocument" "\0"
  /* 15942 */ "XMLHttpRequest" "\0"
  /* 15957 */ "XMLHttpRequestEventTarget" "\0"
  /* 15983 */ "XMLHttpRequestUpload" "\0"
  /* 16004 */ "XMLSerializer" "\0"
  /* 16018 */ "XPathEvaluator" "\0"
  /* 16033 */ "XPathExpression" "\0"
  /* 16049 */ "XPathResult" "\0"
  /* 16061 */ "XRBoundedReferenceSpace" "\0"
  /* 16085 */ "XRFrame" "\0"
  /* 16093 */ "XRInputSource" "\0"
  /* 16107 */ "XRInputSourceArray" "\0"
  /* 16126 */ "XRInputSourceEvent" "\0"
  /* 16145 */ "XRInputSourcesChangeEvent" "\0"
  /* 16171 */ "XRPose" "\0"
  /* 16178 */ "XRReferenceSpace" "\0"
  /* 16195 */ "XRReferenceSpaceEvent" "\0"
  /* 16217 */ "XRRenderState" "\0"
  /* 16231 */ "XRRigidTransform" "\0"
  /* 16248 */ "XRSession" "\0"
  /* 16258 */ "XRSessionEvent" "\0"
  /* 16273 */ "XRSpace" "\0"
  /* 16281 */ "XRSystem" "\0"
  /* 16290 */ "XRView" "\0"
  /* 16297 */ "XRViewerPose" "\0"
  /* 16310 */ "XRViewport" "\0"
  /* 16321 */ "XRWebGLLayer" "\0"
  /* 16334 */ "XSLTProcessor" "\0"
  /* 16348 */ "XULCommandEvent" "\0"
  /* 16364 */ "XULElement" "\0"
  /* 16375 */ "XULFrameElement" "\0"
  /* 16391 */ "XULMenuElement" "\0"
  /* 16406 */ "XULPopupElement" "\0"
  /* 16422 */ "XULResizerElement" "\0"
  /* 16440 */ "XULTextElement" "\0"
  /* 16455 */ "XULTreeElement" "\0"
  /* 16470 */ "console" "\0"
  /* 16478 */ "webkitSpeechGrammar" "\0"
  /* 16498 */ "webkitSpeechGrammarList" "\0"
  /* 16522 */ "webkitSpeechRecognition" "\0"
  /* 16546 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

